# mongod.conf - mongod shardsvr

systemLog:
    destination: "file"
    path: "/tmp/mdbtest/log/mongod.log"
    logAppend: true
    logRotate: "reopen"
    timeStampFormat: "iso8601-utc"
storage:
    dbPath: "/tmp/mdbtest/data"
    journal:
        enabled: true
    directoryPerDB: true
    engine: "wiredTiger"
    wiredTiger:
        engineConfig:
            cacheSizeGB: 18
            journalCompressor: "snappy"
            directoryForIndexes: true
        collectionConfig:
            blockCompressor: "snappy"
        indexConfig:
            prefixCompression: true
processManagement:
    fork: true
    pidFilePath: "/tmp/mdbtest/log/mongod.pid"
net:
    bindIp: "127.0.0.1"
    port: 27018
    wireObjectCheck: true
security:
    keyFile: "/tmp/mdbtest/keyfile"
    clusterAuthMode: "keyFile"
    authorization: "enabled"
